### Verify

Akin to other Ops Stages, Verify is propelled to drive forward our [north star metric](https://blog.amplitude.com/product-north-star-metric) of [SMAU](/handbook/product/ops-section-performance-indicators/#verify-verifyci---gmau-smau---unique-users-triggering-pipelines), which is unique users triggering pipelines. 

With millions of developers using GitLab CI globally, we want organizations to ship their code as fast as possible without compromising quality, security, ease of use or the integrity of their software. We believe that we can empower users and enterprises to employ the most advanced best practices for Continuous Integration for use in application development across Data, ML/AI, Infrastructure as Code, as well as Operations Workflows.

In the in the back half of FY22, we are prioritizing the folllowing to materialize this vision: 

1. Delivering on [Operations for All](/direction/ops/#operations-for-all) by expanding our offerings to support more time of platforms and enabling more use cases across GitLab. Top of the list is Runner support for macOS via [gitlab#284838](https://gitlab.com/gitlab-org/gitlab/-/issues/284838) and Windows Shared Runners in [gitlab#300476](https://gitlab.com/gitlab-org/gitlab/-/issues/300476). Use case expansion includes prioritizing efforts around compliance which includes better visibility into Compliance Pipelines via [gitlab#334486](https://gitlab.com/gitlab-org/gitlab/-/issues/334486) as well as supporting Protected Runners in [gitlab&6058](https://gitlab.com/groups/gitlab-org/-/epics/6058). 
1. We are also making a concerted effort on [Speedy, reliable pipelines](/direction/ops/#speedy-reliable-pipelines) by prioritizing [usability](https://gitlab.com/gitlab-org/gitlab/-/issues?label_name%5B%5D=devops%3A%3Averify&label_name%5B%5D=usability&scope=all&state=opened) fixes across Pipeline Execution, Testing, and Pipeline Authoring. These fixes will enable a more seamless use of features like Merge Trains, Job Logs, and Variables. 
1. Investing in [Smart Feedback Loops](/direction/ops/#smart-feedback-loop) are top of mind for the Verify Stage. We are looking to empower users and decision makers with better data about Project Code Quality in [gitlab&5430](https://gitlab.com/groups/gitlab-org/-/epics/5430) and CI minute usage in [gitlab&5653](https://gitlab.com/groups/gitlab-org/-/epics/5653). 
1. More broadly across GitLab we are investing in [SaaS First](/direction/#saas-first). As a result, a top investment in Verify will be scheduling and delivering fixes related to [infradev](https://gitlab.com/groups/gitlab-org/-/issues?scope=all&state=opened&label_name[]=devops%3A%3Averify&label_name[]=infradev) to support the availability and performance of GitLab.com. 

We have also been working on 3-year visions for groups within Verify, such as Continuous Integration's mocks which can be found in [gitlab&4793](https://gitlab.com/groups/gitlab-org/-/epics/4793) and Pipeline Authoring's mocks located in [gitlab&4534](https://gitlab.com/groups/gitlab-org/-/epics/4534). 

#### Verify Investment Cases 

In the Verify Stage, we have several [investment cases](/direction/ops/#future-investment) highlighted as top priorities for future investment in the Ops Section. Additionally, there are investment cases beyond the ones identified stack ranked by potential return on investment as indicated by priority below: 

1. [Priority 1 Investment Cases](https://gitlab.com/gitlab-com/Product/-/issues?scope=all&state=opened&label_name[]=Investment%20Case&label_name[]=devops%3A%3Averify&label_name[]=priority%3A%3A1)
1. [Priority 2 Investment Cases](https://gitlab.com/gitlab-com/Product/-/issues?scope=all&state=opened&label_name[]=Investment%20Case&label_name[]=devops%3A%3Averify&label_name[]=priority%3A%3A2)
1. [Priority 3 Investment Cases](https://gitlab.com/gitlab-com/Product/-/issues?scope=all&state=opened&label_name[]=Investment%20Case&label_name[]=devops%3A%3Averify&label_name[]=priority%3A%3A3)

#### Verify Stage Categories

<%= partial("direction/categories-content", :locals => { :stageKey => "verify" }) %>

#### Pricing

<%= partial("direction/ops/tiering/verify") %>
